#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int> niz1(n);
    vector<int> niz2(n);
    int j=0;
    for(int i=1;i<=2*n;i++){
        if(i<=n){
            niz1[i-1]=i;
        }
        else{
            niz2[j]=i;
            j++;
        }
    }
    sort(niz2.begin(),niz2.end(),greater<int>());
    vector<int> a(n);
    vector<int> b(n);
    for(int i=0;i<n;i++){
        if(i%2==0){
            a[i]=niz1[i];
            b[i]=niz2[i];
        }
        else{
            a[i]=niz2[i];
            b[i]=niz1[i];
        }
    }
    for(int i=0;i<n;i++){
        cout<<a[i]<<" ";
    }
    cout<<endl;
    for(int i=0;i<n;i++){
        cout<<b[i]<<" ";
    }
    return 0;
}